钉子の次元

Dimpurr – 千里之行,始於足下。

Ubuntu (Linux) 下安装 Minecraft 我的世界

要在 Linux 下安装 Minecraft 其实挺简单的,就是 Java 和 LWJGL 的配置略微麻烦。先上一张效果图……

Minecraft in Elementary OS

Minecraft in Elementary OS

 一 配置环境

Minecraft 需要显卡驱动对 OpenGL 的支持还有 Java 环境的支持。

如果已经有了 Java 环境可以跳过这一段。Ubuntu 本身也内置了 Open-Java 环境,无需安装。

假如没有预装,可以从包管理器安装:

sudo apt-get install openjdk-6-jdk

一般来说 Open-Java 就可以应付平常的需求,是其他发行版或者要支持开发环境的话也可以安装 Sun-Java 。

1.1 Ubuntu 源

Ubuntu 下可以用 Partner 源方便的安装:

sudo add-apt-repository "deb http://archive.canonical.com/ubuntu maverick partner" # 添加源
sudo apt-get update # 更新列表
sudo apt-get install sun-java6-jre sun-java6-plugin # 安装JRE
sudo apt-get install sun-java6-jdk sun-java6-plugin # 安装JDK

1.2 RPM包和手动安装

如果不是 Ubuntu ,那么可以去官方网址下载:

Java http://www.java.com/zh_CN/

JDK http://www.oracle.com/technetwork/java/javase/downloads/index.html

如果是 RPM 系发行版下载各自 .rpm 文件安装即可,否则下载 .tar 文件,然后 CD 进两个文件所在的下载目录,例如:

cd ~/下载 # 进入下载目录
touch install_java.sh # 创建安装脚本

用文本编辑器打开这个脚本,在里面写入:

PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin:~/bin
export PATH
sudo mkdir -p /usr/local/java
sudo rm -r /usr/local/java/*
sudo tar zxvf ./jdk*.tar.gz -C /usr/local/java
sudo tar zxvf ./jre*.tar.gz -C /usr/local/java
sudo mv /usr/local/java/jdk* /usr/local/java/jdk
sudo mv /usr/local/java/jre* /usr/local/java/jre
sudo echo -e "n#javanJAVA_HOME=/usr/local/java/jdknJRE_HOME=/usr/local/java/jrenPATH=$PATH:$HOME/bin:$JAVA_HOME/bin:$JRE_HOME/binnexport JAVA_HOMEnexport JRE_HOMEnexport PATH" >> /etc/profile
sudo update-alternatives --install "/usr/bin/java" "java" "/usr/local/java/jre/bin/java" 1
sudo update-alternatives --install "/usr/bin/javac" "javac" "/usr/local/java/jdk/bin/javac" 1
sudo update-alternatives --install "/usr/bin/javaws" "javaws" "/usr/local/java/jre/bin/javaws" 1
sudo update-alternatives --set java /usr/local/java/jre/bin/java
sudo update-alternatives --set javac /usr/local/java/jdk/bin/javac
sudo update-alternatives --set javaws /usr/local/java/jre/bin/javaws

保存并关闭之后,赋予运行权限并运行:

chmod a+x install_java.sh # 赋予运行权限
sudo ./install_java.sh # 运行该脚本

1.3 配置 Java

在安装完成后输入:

java -version # 查看版本号

如果显示出了 Java 版本号那就已经安装成功。

安装成功,检查版本号

安装成功,检查版本号

sudo update-alternatives --config java # 设置默认 Java

选择将 sun-java6 为默认 Java 即可。

二 安装游戏

配置好 Java 环境后就可以去找游戏和启动器了。

2.1 懒人包

如果不想折腾,可以使用 TNT 同学打包好的 1.5.1 懒人包,其中包括:

下载:http://pan.baidu.com/share/link?shareid=471256&uk=2855000475

原文:http://hackyixia.blog.163.com/blog/static/21241519620134259234230/

运行其中的 install_minecraft.sh 脚本即可完成安装,然后就可以直接开始玩了,无需再参见下文。更多详情和配置参见原文。

2.2 下载游戏和启动器

正版在 Minecraft 官网下载游戏和启动器并按说明配置即可开始玩。不过 Win 下的盗版启动器一般不支持 Linux ,所以需要 Linux 版本或者是 Jar 版本的启动器。这里以 Linux 下常用的盗版启动器 MinecraftSP 为例,首先下载 MinecraftSP.jar :

原版: http://pan.baidu.com/share/link?shareid=4180057767&uk=1828826502

汉化: http://www.mcbbs.net/thread-45417-1-1.html

使用以下命令可以打开启动器:

java -jar home/dimpurr/MinecraftSP.jar # 将后面的路径替换为你的SP启动器路径

运行后会自动下载最新版本的 .minecraft 主程序和 LWJGL 插件,但是推荐手动下载安装,否则容易出错。

游戏在这里不再多讲,因为都是 Jar 格式也可以通用 Windows 下的 .minecraft 文件。关于各种正版盗版游戏主程序请直接参见其他的文章,下载完成后将 .minecraft 文件夹放在用户的主目录即可。另外,因为 . 开头的文件夹在 Linux 下会默认隐藏,记得开启显示隐藏文件, Ubuntu 下可以使用快捷键 Ctrl + H 。

2.3 配置 LWJGL

这是一个 Minecraft 运行所需要的 Java API库。如果首次进入游戏黑屏,一般都是缺少这个库或者没有生效导致。首先去官网下载:

官网: http://lwjgl.org/download.php

解压后,在终端里 CD 进解压后的目录,并将其拷进 .minecraft 目录:

cd /home/dimpurr/下载/lwjgl-2.9.0 # 更换为你的 LWJGL 路径
cp -f ./jar/jinput.jar ./jar/lwjgl.jar ./jar/lwjgl_util.jar ~/.minecraft/bin/ # 拷贝组件
rm ~/.minecraft/bin/natives/* # 删除旧版组件
cp -f ./native/linux/* ~/.minecraft/bin/natives/ # 拷贝组件

然后就可以用前面启动启动器的命令开始游戏了。

三 其他问题

可以设置命令别名,方便以后在终端直接启动游戏。使用编辑器打开主目录下的 .bashrc 文件,并在文件的最后按情况加上:

alias mc='java -jar home/dimpurr/MinecraftSP.jar'  # 盗版启动器,记得更换路径为你的启动器路径
alias mc='java -Xmx1024M -Xms512M -cp minecraft.jar net.minecraft.LauncherFrame' # 仅限官方启动器

然后重启终端,下次就可以使用 mc 命令直接启动 Minecraft 。

最后吐槽一下 Notch 业界良心,离线登录的漏洞那么多年都不封,我们才不用担心没有盗版玩……

  1. 这样就不用切换xp来玩了..

  2. 涼月かえで说道:

    Minecraft的话,在Linux下貌似运行起来比Windows乐观得多

    1. ClassicOldSong说道:

      同感!!现在1.7.10可以用KeiNett Launcher启动~~
      Windows下15帧。。Ubuntu下30帧。。。

  3. orzFly说道:

    我才不会说 1.6 之后 MinecraftSP 用不了了,但是正版用户表示毫无压力的不需要任何折腾……

    但是钉子如果有空研究出了 1.6 的盗版方法务必记得 po 出来……

    1. Dimpurr说道:

      所以果然还是要支持正版啊~(边说着这句话,某矮穷挫钉子边继续研究1.6的破解方法去了

      1. ClassicOldSong说道:

        KeiNett Launcher完美解决~~

  4. 郑杰说道:

    Ubuntu下我都找不到啥比较好玩的游戏,也就UrbanTerror比较好玩吧~最主要还是实验之用~

    1. Dimpurr说道:

      嗯,在 Stream 入驻 Linux 之前可以说实在不是非常适合娱乐的系统 ……
      UT 毕竟是跨平台,估计各位游戏宅日常都是在和 Wine 斗争吧~

      1. nyantan说道:

        难道不用Windows不是为了专心码代码吗……Wine绝对是邪道……

        1. Dimpurr说道:

          嗯,对我来说确实是码代码时才感觉到 Liunx 的优越性 ……
          不过身边好多菊苣做什么都生活在 Liunx 上的喔 …… 当然包括撸 GAL 这些 ……

    2. Whats up his is somewhat of off topic but I was wanting to know if blogs use WYSIWYGeditors or iff you have to manually code with HTML.
      I’m starting a blog soon but have no coding experience so I wanted to get advice from someone with
      experience. Any help would be enormously appreciated!

  5. khaos说道:

    我被萌到了

  6. 袅残烟说道:

    话说楼主和我用的一样的系统啊

    以上!

  7. Combe说道:

    楼主博客搬家了?前来祝贺~~

  8. 好大一只鸟说道:

    1.7.10版本怎么玩呀!能不能提供个方法,我用的系统也是linux archlinux

  9. jiang说道:

    1.8.1 bate 都出来了

  10. 佚名说道:

    话说页面做的不错

  11. Alex说道:

    楼主系统是哪个版本的 什么主题

  12. 元信说道:

    無法用出現The file ‘/home/r0930514/下載/MinecraftTW.jar’ is not marked as executable. If this was downloaded or copied from an untrusted source, it may be dangerous to run. For more details, read about the executable bit.的東西

    1. 前面加上java -jar

  13. 最近手痒了,我也想入坑~~

  14. rootliang说道:

    好吊赞一个!

  15. Tom smith说道:

    希望能够出一个在linux下运行1.8的教程!

  16. tomcat说道:

    额 原来使可以运行的 谢谢楼主

  17. tomcat说道:

    可是我明明不是ubuntux64平台
    有没有弄错了

  18. cdsqwgk说道:

    How many jar files in directory lwjgl/jar/ ? I just have only one,is it OK?

  19. lyl说道:

    为什么他显示sudo: command not found

  20. 说道:

    楼主!知道1.7怎么装了嘛(:з」∠)求教啊,,我1.5的一直装不好lwjgl好了还是黑屏

  21. 永立说道:

    自动下载的存到哪了?我找不到自己下载的.minecraft

    1. Richard说道:

      好像直接在用户目录下面

  22. L说道:

    lz用的是elementary os??!!

  23. N说道:

    嗷嗷,真是感谢博主了呢

  24. GEEK DS!说道:

    用hlmc启动器启动不就好了吗,只不过先要装java而已

  25. shd说道:

    新版在.minecraft\libraries\org\lwjgl\lwjgl\lwjg

  26. iamty说道:

    感谢楼主!不过LWJGL要用2.9的版本,最新的3.x的不行